This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1459601 - perl-Wx-0.9932-2.fc27 FTBFS with perl 5.26.0: /usr/lib64/perl5/CORE/unicode_constants.h:72:22: error: expected identifier before string constant
perl-Wx-0.9932-2.fc27 FTBFS with perl 5.26.0: /usr/lib64/perl5/CORE/unicode_c...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-Wx (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
https://koji.fedoraproject.org/koji/t...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 10:35 EDT by Petr Pisar
Modified: 2017-06-08 01:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Wx-0.9932-3.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-08 01:32:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 121464 None None None 2017-06-07 10:35 EDT

  None (edit)
Description Petr Pisar 2017-06-07 10:35:43 EDT
perl-Wx-0.9932-2.fc27 fails to build against Perl 5.26.0:
g++ -pthread   -c  -I. -I. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include
/wx-2.8  -D_REENTRANT -D_GNU_SOURCE -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORT
IFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-
switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -fwrapv -fno-s
trict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g -pip
e -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-str
ong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hard
ened-cc1 -m64 -mtune=generic -Wno-unused-variable -Wno-unused-but-set-variable -Wno-unused
-local-typedefs   -DVERSION=\"0.9932\" -DXS_VERSION=\"0.9932\" -fPIC "-I/usr/lib64/perl5/C
ORE"  -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__   Wx.c
[...]
[Many warnings and then]
In file included from /usr/lib64/perl5/CORE/utf8.h:30:0,
                 from /usr/lib64/perl5/CORE/regexp.h:21,
                 from /usr/lib64/perl5/CORE/perl.h:3914,
                 from cpp/wxapi.h:57,
                 from Wx.c:32:
/usr/include/wx-2.8/wx/convauto.h: At global scope:
/usr/lib64/perl5/CORE/unicode_constants.h:72:22: error: expected identifier before string constant
 #   define BOM_UTF8  "\xEF\xBB\xBF"    /* U+FEFF */
                      ^
/usr/include/wx-2.8/wx/convauto.h:54:9: note: in expansion of macro 'BOM_UTF8'
         BOM_UTF8
         ^
/usr/lib64/perl5/CORE/unicode_constants.h:72:22: error: expected '}' before string constant
 #   define BOM_UTF8  "\xEF\xBB\xBF"    /* U+FEFF */
                      ^
/usr/include/wx-2.8/wx/convauto.h:54:9: note: in expansion of macro 'BOM_UTF8'
         BOM_UTF8
         ^
Comment 1 Petr Pisar 2017-06-07 11:39:13 EDT
I will apply a work around that undefines the clashing symbol as it not used.

Note You need to log in before you can comment on or make changes to this bug.